/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.mail.service.consume;

/**
 * @author Mathieu CARROLLE - EBM WebSourcing
 */
public class ConsumeDescriptor {

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String scheme;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String hostname;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String port;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String username;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String password;

    /**
     * Used for both imap and pop3 scheme
     */
    private String folder;

    /**
     * deleted Folder after messages are read
     */
    private boolean delete;

    /**
     * Used for both imap and pop3 scheme
     */
    private String period;

    /**
     * Assume mail content is XML
     */
    private boolean isXmlContent;

    public String getScheme() {
        return scheme;
    }

    public void setScheme(String scheme) {
        this.scheme = scheme;
    }

    public String getHostname() {
        return hostname;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFolder() {
        return folder;
    }

    public void setFolder(String folder) {
        this.folder = folder;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public boolean isXmlContent() {
        return isXmlContent;
    }

    public void setXmlContent(boolean isXmlContent) {
        this.isXmlContent = isXmlContent;
    }
}
